Extracts a region of the image

- « Imagick::count

- Imagick::cropThumbnailImage »

- PHP Manual
- Imagick
- Extracts a region of the image

# Imagick::cropImage

(PECL imagick 2, PECL imagick 3)

Imagick::cropImage — Extracts a region of the image

### Description

public Imagick::cropImage(
int `$width`,
int `$height`,
int `$x`,
int `$y`
): bool

Extracts a region of the image.

### Parameters

`width`

  The width of the crop

`height`

  The height of the crop

`x`

  The X coordinate of the cropped region's top left corner

`y`

  The Y coordinate of the cropped region's top left corner

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::cropImage()

    <?php
    function cropImage($imagePath, $startX, $startY, $width, $height) {
        $imagick = new \Imagick(realpath($imagePath));
        $imagick->cropImage($width, $height, $startX, $startY);
        header("Content-Type: image/jpg");
        echo $imagick->getImageBlob();
    }

    ?>